/* BELOW IS PASTED DIRECTLY FROM HOMEPAGE CSS AS OF 27/7/2026!*/
div.navigation-grid {
    display: grid;
    grid-template-columns: auto 1fr auto;
    grid-template-areas: "home nav search";
    align-items: center;
}
div.navbar {
    width: min(100%, 50rem);
    background-color: #90A57E;
    margin-top: 2%;
    overflow: auto; /* CHANGE LATER AS MAKES IT COVER WHOLE PAGE*/  
    white-space: nowrap; /* NO CLUE WHAT THIS DOES*/ 
    text-align: center;
    grid-column-start: 1;
    grid-row-start: 1;
    grid-row-end: 2;
    z-index: 2;
}
/*text within the navigation bar */
div.navbar a{
    display: inline-block; /* CHANGE LATER AS NOT RESPONSIVE */ 

    color:#424337;
    font-family: 'Darumadrop One';
    font-size: 22px;
    /*font-size: ; SEE IF YOU SHOULD ADJUST FONT SIZE*/
    text-decoration: none;
    text-align: center;

    padding-left: 7%; /* CHANGE LATER AS NOT RESPONSIVE */
    padding-right: 7%;  
    padding-top: 1%;
    padding-bottom: 1%;
    
}
div.navbar a:hover{
    color: #3B161C;
    background-color:#C097A0;
}
div.navbar a:active{
    color: #3B161C;
    background-color:#C097A0;
}
div.nav-wrapper {
    grid-area:nav;
    display: flex;
    justify-content: center;
}
div.home-button {
    grid-area: home;
    display: flex;
    height: 48px;
    width: 48px;
    margin-top: 16px;
    margin-left: 16px;
    aspect-ratio: 1/1;
    overflow: hidden;
}
div.home-button img{
    width:90%;
    height:90%;
    object-fit: cover;
}
div.home-button:hover img{
    width: 100%;
    height:100%;
    object-fit: cover;
} 
div.nav-tape-left {
    display:flex;
    height: 48px;
    margin-top: 2%;
    aspect-ratio: 2354/1501;
    overflow: hidden;
}
div.nav-tape-left img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
div.nav-tape-right {
    display: flex;
    height: 48px;
    margin-top: 2%;
    aspect-ratio: 2180/1510;
    overflow: hidden
}
div.nav-tape-right img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
div.search-button {
    grid-area: search;
    display: flex;
    height: 48px;
    width: 48px;
    margin-top: 16px;
    margin-right: 16px;
    aspect-ratio: 1/1;
    overflow: hidden;
}
div.search-button img{
    width:100%;
    height:100%;
    object-fit: cover;
}
div.search-button:hover img{
    width: 110%;
    height:110%;
    object-fit: cover;
}
body{ 
    background-image: url("../images/creative-background.jpg");  /* ../ is to out of one directory into another *add dash for absolute path, start at root directory*/
    background-repeat: no-repeat;
    background-color:#a1767c;
    background-position: center;
    background-attachment: fixed;
    background-size: cover; 
    margin: 0px;
}
div.creative-content {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 3%;
    margin-left: 10%;
    flex-direction: row;
    gap: 0%;
}
div.drawing-gallery-pic {
    flex: 1 1 0;
    min-width: 0;
}
div.drawing-gallery-pic img{
    width: 125%;
    height: auto;
    display: block;
}
div.photo-gallery-pic {
    flex: 1 1 0;
    min-width: 0; 
}
div.photo-gallery-pic img{
    width: 75%;
    height: auto;
    object-fit: contain;
    display: block;
}
@media only screen and (max-width: 800px) {
    div.nav-tape-left {
        display:none;
    }
    div.nav-tape-right {
        display:none;
    } /*not reallt satisfied w this maybe have to do sm with overflow? want it to stick and scale but not shrinl then vpw is smaller than dic*/
}
/* When the screen gets narrow, move Home/Search above the nav */
@media only screen and (max-width: 915px) {
  div.navigation-grid {
    grid-template-columns: 1fr auto;
    grid-template-areas:
      "home search"
      "nav nav";
  }
  /*END OF PASTING*/
  div.creative-content {
    flex-direction: column;
    align-items: center;
  }
  div.drawing-gallery-pic {
    margin-top: 5%;
    margin-left: 0%;
    margin-right: 7%;
  }
  div.drawing-gallery-pic img{
    width: 100%;
    height: auto;
  }
  div.photo-gallery-pic {
    margin-left: 2%;
    margin-right:12%;

  }
  div.photo-gallery-pic img{
    width: 100%;
    height: auto;
    display: block;
  }
}

